import numpy as np
import matplotlib.pyplot as plt
from sklearn.linear_model import LinearRegression

x = np.load("data/X.npy")
y = np.load("data/y.npy")

print(x)
print(y)

x = x.reshape(-1, 1)
reg = LinearRegression().fit(x, y)
print(reg.score(x, y))

x_predict = np.linspace(30,70,100).reshape(-1, 1)
y_predict = reg.predict(x_predict)

fig, ax = plt.subplots()
ax.plot(x, y,'r*')
ax.plot(x_predict, y_predict, 'g'
)
ax.set(xlabel='Anxiety', ylabel='Task result')
ax.grid()

fig.savefig("anxiety.png")
plt.show()