import csv, numpy
import matplotlib.pyplot as plt

def remove_nan(arr):
    nan_array = numpy.isnan(arr)
    not_nan_array = ~nan_array
    arr = arr[not_nan_array]
    return nan_array.size, arr

brake_rt = []
sec_rt = []
times = []

with open('data/driving.csv') as csvfile:
    reader = csv.DictReader(csvfile)
    
    for row in reader:
        times.append(float(row['time']))
        sec_rt.append(float(row['sec_rt']))
        brake_rt.append(float(row['brake_rt']))

times = numpy.array(times)
brake_rt = numpy.array(brake_rt)
sec_rt = numpy.array(sec_rt)

missed_brake, brake_rt_no_nan = remove_nan(brake_rt)
_, sec_rt = remove_nan(sec_rt)

print(f"Avg brake_rt: {numpy.mean(brake_rt_no_nan)}, with {missed_brake} missed brake response")
print(f"Avg sec_rt: {numpy.mean(sec_rt)}")

fig, ax = plt.subplots()
ax.plot(times, brake_rt,'xr')

ax.set(xlabel='Time', ylabel='Brake_rt')
ax.grid()

plt.show()